/**
 * Created by IntelliJ IDEA.
 * User: jwill
 * Released under the GPL
 */

import java.awt.Color
import java.awt.Font
import java.awt.image.BufferedImage
import javax.imageio.ImageIO
import org.jdesktop.swingx.JXPanel
import groovy.swing.SwingXBuilder
import org.jdesktop.swingx.painter.effects.ShadowPathEffect
def cp = jxcompoundPainter() {
            imagePainter(image: ImageIO.read(getClass().getResource("/metal.png")),
                    scaleToFit: true)
            textPainter(id: 'txtPainter', font: new Font("Arial", Font.PLAIN, 36), fillPaint: Color.white) 
        }
